[SM-Grimoire-Bugs] [Bug 8736] rename UPDATED to PATCHLEVEL

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Wed Apr 27 19:11:09 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=8736





------- Additional Comments From sergey at sourcemage.org  2005-04-27 16:11 -------
There's a bigger problem. Say we have a spell at 1.0.0. Security patch updates
it to 1.0.0 SECURITY=yes. Then version 1.1.0 comes out that has this patch
embedded. If we leave SECURITY=yes, we'd have to do this permanently for this
spell. If we make a change SECURITY=no, than a security update may be missed. So
we become "damned if we do, damned if we don't" in this case.

The only secure way to know if a spell needs an update is to use version
comparison as Gentoo does. Using "security" flag is still an incomplete solution.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



More information about the SM-Grimoire-Bugs mailing list